at.chipkarte.client.vdas.soap.constants

## Class InvalidParameterVdasExceptionConstants

- Object
- - at.chipkarte.client.vdas.soap.constants.InvalidParameterVdasExceptionConstants

-     public final class InvalidParameterVdasExceptionConstants
      extends Object

  Fehlerkonstanten, wenn ein ungültiger Parameter in einer Funktion angegeben wird. Fehlercodes siehe `InvalidParameterVdasExceptionConstants`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INVALID_ABT_FUNK_CODE` Der Abteilungs- bzw Funktionscode hat eine falsche Länge.
    `static int` | `INVALID_STICHTAGSDATUM` Das Stichtagsdatum ist ungültig.
    `static int` | `INVALID_SV_NUMBER` Die Sozialversicherungsnummer ist ungültig oder fehlt.
    `static int` | `INVALID_SV_NUMBER_ABL` Die abgeleitete Sozialversicherungsnummer ist ungültig.
    `static int` | `INVALID_SVT_NUMBER` Der Krankenversicherungsträger ist ungültig.
    `static int` | `NO_ANSPRUECHE_PROVIDED_FOR_SELECTED_DATE` Zu dem angegebenen Datum können keine Versichertendaten ermittelt werden.
    `static int` | `NO_CARD_TOKEN` Für die Anfrage muss entweder eine e-card verwendet werden oder eine Admin-Karte in Verbindung mit einer SV-Nummer.
    `static int` | `NO_CERTIFICATE_AND_NO_ECARD` Es wurde weder eine e-card, noch ein SW-Zertifikat für die Signierung verwendet.
    `static int` | `STICHTAGSDATUM_NOT_SET` Das Stichtagsdatum ist ein Pflichtfeld.
    `static int` | `STICHTAGSDATUM_NOT_VALID_FOR_PAST_REQUEST` Um tagesaktuelle Versicherungsdaten zu ermitteln, verwenden Sie bitte den Ablauf "Tagesaktuelle Versichertendaten abfrage".

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_SV_NUMBER

          public static final int INVALID_SV_NUMBER

      Die Sozialversicherungsnummer ist ungültig oder fehlt.
      ORCLI-Code: CL-05202
      See Also:
        Constant Field Values

    - #### INVALID_SV_NUMBER_ABL

          public static final int INVALID_SV_NUMBER_ABL

      Die abgeleitete Sozialversicherungsnummer ist ungültig.
      ORCLI-Code: CL-05213
      See Also:
        Constant Field Values

    - #### INVALID_SVT_NUMBER

          public static final int INVALID_SVT_NUMBER

      Der Krankenversicherungsträger ist ungültig.
      ORCLI-Code: CL-05224
      See Also:
        Constant Field Values

    - #### INVALID_ABT_FUNK_CODE

          public static final int INVALID_ABT_FUNK_CODE

      Der Abteilungs- bzw Funktionscode hat eine falsche Länge.
      ORCLI-Code: CL-05233
      See Also:
        Constant Field Values

    - #### INVALID_STICHTAGSDATUM

          public static final int INVALID_STICHTAGSDATUM

      Das Stichtagsdatum ist ungültig.
      ORCLI-Code: CL-05282
      See Also:
        Constant Field Values

    - #### NO_ANSPRUECHE_PROVIDED_FOR_SELECTED_DATE

          public static final int NO_ANSPRUECHE_PROVIDED_FOR_SELECTED_DATE

      Zu dem angegebenen Datum können keine Versichertendaten ermittelt werden.
      Diese Exception tritt auf, wenn zum abgefragten Datum keine Ansprüche vorliegen.
      ORCLI-Code: CL-05285
      See Also:
        Constant Field Values

    - #### NO_CERTIFICATE_AND_NO_ECARD

          public static final int NO_CERTIFICATE_AND_NO_ECARD

      Es wurde weder eine e-card, noch ein SW-Zertifikat für die Signierung verwendet.
      ORCLI-Code: CL-05012
      See Also:
        Constant Field Values

    - #### STICHTAGSDATUM_NOT_VALID_FOR_PAST_REQUEST

          public static final int STICHTAGSDATUM_NOT_VALID_FOR_PAST_REQUEST

      Um tagesaktuelle Versicherungsdaten zu ermitteln, verwenden Sie bitte den Ablauf "Tagesaktuelle Versichertendaten abfrage".
      ORCLI-Code: CL-05286
      See Also:
        Constant Field Values

    - #### STICHTAGSDATUM_NOT_SET

          public static final int STICHTAGSDATUM_NOT_SET

      Das Stichtagsdatum ist ein Pflichtfeld.
      ORCLI-Code: CL-05281
      See Also:
        Constant Field Values

    - #### NO_CARD_TOKEN

          public static final int NO_CARD_TOKEN

      Für die Anfrage muss entweder eine e-card verwendet werden oder eine Admin-Karte in Verbindung mit einer SV-Nummer.
      ORCLI-Code: CL-05288
      See Also:
        Constant Field Values